/* util.h ....... error message utilities.
 *                C. Scott Ananian <cananian@alumni.princeton.edu>
 *                hacked by Muli Ben-Yehuda <mulix@actcom.co.il> 
 */

/* util.h logging functions. */

#ifndef INC_UTIL_H
#define INC_UTIL_H

#include <unistd.h>

void _log(const char *func, char *format, ...)
__attribute__ ((format (printf, 2, 3)));
void _warn(const char *func, char *format, ...)
__attribute__ ((format (printf, 2, 3)));
void _die(const char *func, char *format, ...)
__attribute__ ((format (printf, 2, 3))) __attribute__ ((noreturn));

#define log(format, args...) \
	_log(__func__, format , ## args)
#define warn(format, args...) \
	_warn(__func__, format , ## args)
#define die(format, args...) \
	_die(__func__, format , ## args)

#endif /* INC_UTIL_H */
